All Data Structures Files Functions Variables Typedefs Macros Pages
readosm_way_struct Struct Reference

a struct representing a WAY object, and wrapping a complex XML fragment like the following: More...

`#include <readosm.h>`

Collaboration diagram for readosm_way_struct:
[legend]

## Data Fields

const long long | id
| WAY-ID (expected to be a unique value)
const int | version
| object version
const long long | changeset
| ChangeSet ID.
const char * | user
| name of the User defining this WAY
const int | uid
| corresponding numeric UserID
const char * | timestamp
| when this WAY was defined
const int | node_ref_count
| number of referenced NODE-IDs (may be zero)
const long long * | node_refs
| array of NODE-IDs (may be NULL)
const int | tag_count
| number of associated TAGs (may be zero)
const readosm_tag * | tags
| array of TAG objects (may be NULL)

## Detailed Description

a struct representing a WAY object, and wrapping a complex XML fragment like the following:

    <way id="12345" version="1" changeset="54321" user="some-user" uid="66" timestamp="2005-02-28T17:45:15Z">
            <nd ref="12345" />
            <nd ref="12346" />
            <nd ref="12347" />
            <tag key="created_by" value="JOSM" />
            <tag key="tourism" value="camp_site" />
    </way>

Examples:
  test_osm1.c, test_osm2.c, and test_osm3.c.

The documentation for this struct was generated from the following file:

- headers/readosm.h